// -*-C++-*-
/*!
 * @file  RobotGPSDataManagerSVC_impl.h
 * @brief Service implementation header of RobotGPSDataManager.idl
 *
 * @author East Japan Accounting Center Co.,Ltd.
 *
 * (c)2017 The University of Aizu
 * This software is released under the New BSD License.
 *
 */

#include "RobotGPSDataManagerSkel.h"
#include "VersatileOverheadSystem.h"

#ifndef ROBOTGPSDATAMANAGERSVC_IMPL_H
#define ROBOTGPSDATAMANAGERSVC_IMPL_H
 
/*!
 * @class GPSDataOutputControlSVC_impl
 * Example class implementing IDL interface GPSDataManagerReqServ::GPSDataOutputControl
 */
class GPSDataOutputControlSVC_impl
 : public virtual POA_GPSDataManagerReqServ::GPSDataOutputControl,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~GPSDataOutputControlSVC_impl();

	 unsigned long m_ulGpsOutControl;

 public:
  /*!
   * @brief standard constructor
   */
   GPSDataOutputControlSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~GPSDataOutputControlSVC_impl();

   // attributes and operations
   CORBA::UShort usSetGPSDataOutputControl(CORBA::ULong ulOutCont);
   void GetGPSDataOutputControl(CORBA::ULong& ulOutCont);
   void initGPSDataOutputControl(void);

};

/*!
 * @class GPSDataOutputSelectSVC_impl
 * Example class implementing IDL interface GPSDataManagerReqServ::GPSDataOutputSelect
 */
class GPSDataOutputSelectSVC_impl
 : public virtual POA_GPSDataManagerReqServ::GPSDataOutputSelect,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~GPSDataOutputSelectSVC_impl();

	 unsigned long m_ulGpsOutRobotSelect;

 public:
  /*!
   * @brief standard constructor
   */
   GPSDataOutputSelectSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~GPSDataOutputSelectSVC_impl();

   // attributes and operations
   CORBA::UShort usSetGPSDataOutputSelect(CORBA::ULong ulOutSel);
   void GetGPSDataOutputSelect(CORBA::ULong& ulOutSel);
   void initGPSDataOutputSelect(void);

};



#endif // ROBOTGPSDATAMANAGERSVC_IMPL_H


