// -*-C++-*-
/*!
 * @file  RobotGPSDataManagerSVC_impl.cpp
 * @brief Service implementation code of RobotGPSDataManager.idl
 *
 * @author East Japan Accounting Center Co.,Ltd.
 *
 * (c)2017 The University of Aizu
 * This software is released under the New BSD License.
 *
 */

#include "RobotGPSDataManagerSVC_impl.h"
#include <iostream>

/*
 * Example implementational code for IDL interface GPSDataManagerReqServ::GPSDataOutputControl
 */
GPSDataOutputControlSVC_impl::GPSDataOutputControlSVC_impl()
{
	m_ulGpsOutControl = GPS_DISP_OFF;
}


GPSDataOutputControlSVC_impl::~GPSDataOutputControlSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
CORBA::UShort GPSDataOutputControlSVC_impl::usSetGPSDataOutputControl(CORBA::ULong ulOutCont)
{
	m_ulGpsOutControl = ulOutCont;
	return RESULT_ACK;
}

void GPSDataOutputControlSVC_impl::GetGPSDataOutputControl(CORBA::ULong& ulOutCont)
{
	if(&ulOutCont != NULL){
		ulOutCont = m_ulGpsOutControl;
	}
}

void GPSDataOutputControlSVC_impl::initGPSDataOutputControl(void)
{
	m_ulGpsOutControl = GPS_DISP_OFF;
}


// End of example implementational code

/*
 * Example implementational code for IDL interface GPSDataManagerReqServ::GPSDataOutputSelect
 */
GPSDataOutputSelectSVC_impl::GPSDataOutputSelectSVC_impl()
{
	m_ulGpsOutRobotSelect = ROBOT_SEL_BIT_OFF;
}


GPSDataOutputSelectSVC_impl::~GPSDataOutputSelectSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
CORBA::UShort GPSDataOutputSelectSVC_impl::usSetGPSDataOutputSelect(CORBA::ULong ulOutSel)
{
	m_ulGpsOutRobotSelect = ulOutSel;
	return RESULT_ACK;
}

void GPSDataOutputSelectSVC_impl::GetGPSDataOutputSelect(CORBA::ULong& ulOutSel)
{
	if(&ulOutSel != NULL){
		ulOutSel = m_ulGpsOutRobotSelect;
	}
}

void GPSDataOutputSelectSVC_impl::initGPSDataOutputSelect(void)
{
	m_ulGpsOutRobotSelect = ROBOT_SEL_BIT_OFF;
}


// End of example implementational code



